##############################################################################
#
# Copyright (c) 2001, 2002, 2003 Zope Corporation and Contributors.
# All Rights Reserved.
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.0 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE.
#
##############################################################################

# allows integration of archive files into Zope and access the contents of them
# like objects in a folder by Joachim Bauch
import ArchiveFolder

def initialize(context):
    perm = 'Add Documents, Images, and Files'

    context.registerClass(
        ArchiveFolder.ArchiveFolder,
        permission = perm,
        constructors = (ArchiveFolder.manage_addArchiveFolderForm,
                        ArchiveFolder.manage_addArchiveFolder, ),
        icon='archive.gif',
        )
